<template>
  <div class="layout-logo" v-if="setShowLogo" @click="onThemeConfigChange">
    <img :src="logoMini" class="layout-logo-medium-img" />
    <span>{{ themeConfig.globalTitle }}</span>
  </div>
  <div class="layout-logo-size" v-else @click="onThemeConfigChange">
    <img :src="logoMini" class="layout-logo-size-img" />
  </div>
</template>

<script setup lang="ts" name="layoutLogo">
import { computed } from 'vue'
import logoMini from '/@/assets/logo-mini.svg'
import { useThemeConfig } from '/@/stores/themeConfig'
import { storeToRefs } from 'pinia';
// const storesThemeConfig=useThemeConfig()
const { themeConfig } = storeToRefs(useThemeConfig())
// 设置 logo 的显示。classic 经典布局默认显示 logo
const setShowLogo = computed(() => {//计算属性--显示logo
  let { isCollapse, layout } = themeConfig.value
  return !isCollapse || layout === 'classic' || document.body.clientWidth < 1000;
})

const onThemeConfigChange = () => {
  if (themeConfig.value.layout === 'transverse') return false //横向布局直接return掉,不执行下面代码--不开启菜单水平折叠效果
  themeConfig.value.isCollapse = !themeConfig.value.isCollapse
}
</script>
<style lang='scss' scoped></style>